<?php
/*
Plugin Name: Key Takeaways
Plugin URI: http://yourwebsite.com/key-takeaways
Description: Adds a custom Key Takeaways section to your blog posts.
Version: 1.0
Author: Your Name
Author URI: http://yourwebsite.com
*/

// Ensure WordPress has been loaded before running our code
if (!defined('ABSPATH')) {
    exit; // Exit if accessed directly
}

// Enqueue plugin styles
function key_takeaways_enqueue_styles() {
    wp_enqueue_style('key-takeaways-css', plugins_url('css/key-takeaways.css', __FILE__));
}
add_action('wp_enqueue_scripts', 'key_takeaways_enqueue_styles');

// Shortcode to output Key Takeaways HTML
function key_takeaways_shortcode($atts, $content = null) {
    // Use output buffering to capture the HTML structure
    ob_start();
    ?>
    <div class="takeaway pb-md">
        <h5 class="pl-lg pt-md font-semibold pink-text">Key Takeaways</h5>
        <div class="pl-lg pr-lg">
            <?php echo do_shortcode($content); ?>
        </div>
    </div>
    <?php
    // Save the buffered output to a variable
    $output = ob_get_clean();

    // Return the content for output wherever the shortcode is used
    return $output;
}
add_shortcode('key_takeaways', 'key_takeaways_shortcode');